create a checkout session to upgrade from trial to paid plan
curl --request POST \
--url https://api.sakari.io/v1/accounts/{accountId}/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"commitment": 123,
"frequency": "<string>",
"name": "<string>",
"email": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"tax": {
"type": "<string>",
"id": "<string>"
},
"segmentUnderstanding": true
}
'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/checkout"
payload = {
"plan": "<string>",
"commitment": 123,
"frequency": "<string>",
"name": "<string>",
"email": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"tax": {
"type": "<string>",
"id": "<string>"
},
"segmentUnderstanding": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan: '<string>',
commitment: 123,
frequency: '<string>',
name: '<string>',
email: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>'
},
tax: {type: '<string>', id: '<string>'},
segmentUnderstanding: true
})
};
fetch('https://api.sakari.io/v1/accounts/{accountId}/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<string>"
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}accounts
create a checkout session to upgrade from trial to paid plan
POST
/
v1
/
accounts
/
{accountId}
/
checkout
create a checkout session to upgrade from trial to paid plan
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Query Parameters
after successful checkout redirect to this url
after cancelling checkout redirect to this url
Body
application/json
⌘I